/*
  latin2.c.  Produce a table of Microsoft Windows Code Page 1250.
  F. da Cruz, Columbia University, 2003.
*/
char *name[] = {
    "EURO SYMBOL",
    "(UNDEFINED)",
    "LOW 9 SINGLE QUOTE",
    "(UNDEFINED)",
    "LOW 9 DOUBLE QUOTE",
    "ELLIPSIS",
    "DAGGER",
    "DOUBLE DAGGER",
    "(UNDEFINED)",
    "PER MIL SIGN",
    "CAPITAL LETTER S WITH CARON",
    "LEFT SINGLE QUOTE BRACKET",
    "CAPITAL LETTER S WITH ACUTE ACCENT",
    "CAPITAL LETTER T WITH CARON",
    "CAPITAL LETTER Z WITH CARON",
    "CAPITAL LETTER Z WITH ACUTE ACCENT",
    "(UNDEFINED)",
    "HIGH 6 SINGLE QUOTE",
    "HIGH 9 SINGLE QUOTE",
    "HIGH 6 DOUBLE QUOTE",
    "HIGH 9 DOUBLE QUOTE",
    "LARGE CENTERED DOT",
    "EN DASH",
    "EM DASH",
    "(UNDEFINED)",
    "TRADEMARK SIGN",
    "SMALL LETTER S WITH CARON",
    "RIGHT SINGLE QUOTE BRACKET",
    "SMALL LETTER S WITH ACUTE ACCENT",
    "SMALL LETTER T WITH CARON",
    "SMALL LETTER Z WITH CARON",
    "SMALL LETTER Z WITH ACUTE ACCENT",
    "NO-BREAK SPACE",
    "CARON",
    "BREVE",
    "CAPITAL LETTER L WITH STROKE",
    "CURRENCY SIGN",
    "CAPITAL LETTER A WITH OGONEK",
    "BROKEN BAR",
    "PARAGRAPH SIGN",
    "DIAERESIS",
    "COPYRIGHT SIGN",
    "CAPITAL LETTER S WITH CEDILLA",
    "LEFT ANGLE QUOTATION MARK",
    "NOT SIGN",
    "SOFT HYPHEN",
    "REGISTERED TRADE MARK SIGN",
    "CAPITAL LETTER Z WITH DOT ABOVE",
    "DEGREE SIGN, RING ABOVE",
    "PLUS-MINUS SIGN",
    "OGONEK",
    "SMALL LETTER L WITH STROKE",
    "ACUTE ACCENT",
    "MICRO SIGN",
    "PILCROW SIGN",
    "MIDDLE DOT",
    "CEDILLA",
    "SMALL LETTER A WITH OGONEK",
    "SMALL LETTER S WITH CEDILLA",
    "RIGHT ANGLE QUOTATION MARK",
    "CAPITAL LETTER L WITH CARON",
    "DOUBLE ACUTE ACCENT",
    "CAPITAL LETTER I WITH CARON",
    "SMALL LETTER Z WITH DOT ABOVE",

    "CAPITAL LETTER R WITH ACUTE ACCENT",
    "CAPITAL LETTER A WITH ACUTE ACCENT",
    "CAPITAL LETTER A WITH CIRCUMFLEX",
    "CAPITAL LETTER A WITH BREVE",
    "CAPITAL LETTER A WITH DIAERESIS",
    "CAPITAL LETTER L WITH ACUTE ACCENT",
    "CAPITAL LETTER C WITH ACUTE ACCENT",
    "CAPITAL LETTER C WITH CEDILLA",
    "CAPITAL LETTER C WITH CARON",
    "CAPITAL LETTER E WITH ACUTE ACCENT",
    "CAPITAL LETTER E WITH OGONEK",
    "CAPITAL LETTER E WITH DIAERESIS",
    "CAPITAL LETTER E WITH CARON",
    "CAPITAL LETTER I WITH ACUTE ACCENT",
    "CAPITAL LETTER I WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER D WITH CARON",
    "CAPITAL LETTER D WITH STROKE",
    "CAPITAL LETTER N WITH ACUTE ACCENT",
    "CAPITAL LETTER N WITH CARON",
    "CAPITAL LETTER O WITH ACUTE ACCENT",
    "CAPITAL LETTER O WITH CIRCUMFLEX",
    "CAPITAL LETTER O WITH DOUBLE ACUTE ACCENT",
    "CAPITAL LETTER O WITH DIAERESIS",
    "MULTIPLICATION SIGN",
    "CAPITAL LETTER R WITH CARON",
    "CAPITAL LETTER U WITH RING ABOVE",
    "CAPITAL LETTER U WITH ACUTE ACCENT",
    "CAPITAL LETTER U WITH DOUBLE ACUTE ACCENT",
    "CAPITAL LETTER U WITH DIAERESIS",
    "CAPITAL LETTER Y WITH ACUTE ACCENT",
    "CAPITAL LETTER T WITH CEDILLA",
    "SMALL GERMAN LETTER SHARP s",

    "SMALL LETTER R WITH ACUTE ACCENT",
    "SMALL LETTER A WITH ACUTE ACCENT",
    "SMALL LETTER A WITH CIRCUMFLEX",
    "SMALL LETTER A WITH BREVE",
    "SMALL LETTER A WITH DIAERESIS",
    "SMALL LETTER L WITH ACUTE ACCENT",
    "SMALL LETTER C WITH ACUTE ACCENT",
    "SMALL LETTER C WITH CEDILLA",
    "SMALL LETTER C WITH CARON",
    "SMALL LETTER E WITH ACUTE ACCENT",
    "SMALL LETTER E WITH OGONEK",
    "SMALL LETTER E WITH DIAERESIS",
    "SMALL LETTER E WITH CARON",
    "SMALL LETTER I WITH ACUTE ACCENT",
    "SMALL LETTER I WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER D WITH CARON",
    "SMALL LETTER D WITH STROKE",
    "SMALL LETTER N WITH ACUTE ACCENT",
    "SMALL LETTER N WITH CARON",
    "SMALL LETTER O WITH ACUTE ACCENT",
    "SMALL LETTER O WITH CIRCUMFLEX",
    "SMALL LETTER O WITH DOUBLE ACUTE ACCENT",
    "SMALL LETTER O WITH DIAERESIS",
    "DIVISION SIGN",
    "SMALL LETTER R WITH CARON",
    "SMALL LETTER U WITH RING ABOVE",
    "SMALL LETTER U WITH ACUTE ACCENT",
    "SMALL LETTER U WITH DOUBLE ACUTE ACCENT",
    "SMALL LETTER U WITH DIAERESIS",
    "SMALL LETTER Y WITH ACUTE ACCENT",
    "SMALL LETTER T WITH CEDILLA",
    "DOT ABOVE",
};

main() {
    int i, j;
    printf("Microsoft Windows Code Page 1252\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 128; i < 256; i++) {
	j = i - 128;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
